while ... wend
Execute a block of commands while expression remains true.
Syntax:
while
commands
{exit while}
wend
while statement define the start of the block of command to be looped.
wend statement define te end of block, alternatively you can use end while statement instead.
Example:
setautoback(50)
i=0
while inkey <> k_esc ------------------------ will loop until esc key is pressed
i=i+1
prints(i)
wend ----------------------------------------------- you can use indifferently wend or end while
See also exit while command.